package com.ruoyi.common.core.domain.resp;

import com.ruoyi.common.core.domain.TreeSelect;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author DongZl
 * @description: 角色返回菜单树
 * @Date 2023-6-19 下午 02:40
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RoleMenuTreeResp {

    /**
     * 拥有的菜单权限
     */
    private List<Long> checkedKeys;

    /**
     * 系统所有的菜单
     */
    private List<TreeSelect> menus;
}
